Bug 642617 - Add cryptsetup-luks to dracut requirements again
Add cryptsetup-luks to dracut requirements again
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-10-13 08:48 EDT by James Laska
Modified: 2013-09-02 02:52 EDT (History)
10 users (show)

See Also:
Fixed In Version: dracut-006-6.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 642557
: 665359 (view as bug list)
Environment:
Last Closed: 2010-10-19 05:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-10-13 08:48:42 EDT
+++ This bug was initially created as a clone of Bug #642557 +++

Description of problem:
I initially saw this doing a full CD-based i386 install, selecting all packages. I was then able to replicate it with an i386 CD text install (requiring CDs 1 and 2), but not with an x86_64 CD text install (requiring only CD 1). The problem also does not show with an i386 DVD text install. The common thread seems to be whether more than one disc is used during install. I haven't tried a default x86_64 CD install yet.

When attempting to boot after the install, the messages

No root device found

Boot has failed, sleeping forever.

are displayed.

Version-Release number of selected component (if applicable):
F14 Final TC1

How reproducible:
always

Steps to Reproduce:
1. Do a local (non-network) install requiring more than one CD.
2. Reboot afterwards.
  
Actual results:

No root device found

Boot has failed, sleeping forever.

Expected results:

Should boot normally.

Additional info:

At the end of install.log for an i386 DVD text install, I see the messages

Installing plymouth-scripts-0.8.4-0.20100823.4.fc14.i686
Installing plymouth-0.8.4-0.20100823.4.fc14.i686
Need 'inst' function, try setting PLYMOUTH_POPULATE_SOURCE_FUNCTIONS to a file that defines it
Installing dracut-006-2.fc14.noarch
Installing kernel-PAE-2.6.35.6-39.fc14.i686
W: Cannot load dracut module "plymouth", dependencies failed.
*** FINISHED INSTALLING PACKAGES ***

Similar messages appear in x86_64. Could this be related?


<snip> 

--- Additional comment from harald@redhat.com on 2010-10-13 07:26:06 EDT ---

no cryptsetup-luks .. hmm.. I might have to put it in the dracut requirements again.

--- Additional comment from harald@redhat.com on 2010-10-13 07:55:05 EDT ---

This patch is needed for dracut:

http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=commitdiff;h=5cae1fe179faea815e5adcca71645367829aee01
Comment 1 Fedora Update System 2010-10-13 09:05:16 EDT
dracut-006-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dracut-006-3.fc14
Comment 2 Fedora Update System 2010-10-13 17:20:16 EDT
dracut-006-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dracut'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dracut-006-3.fc14
Comment 3 Andre Robatino 2010-10-13 20:09:19 EDT
If I tell yum to remove cryptsetup-luks, it does NOT try to remove dracut as well. Am I understanding correctly?

dracut-006-3.fc14.noarch
cryptsetup-luks-1.1.3-1.fc14.x86_64
Comment 4 Jesse Keating 2010-10-13 20:17:48 EDT
What the patch does, I believe, is make dracut not fail if cryptsetup isn't available.  Previously it would try to do crypt anyway, if I'm reading the patch right.  It should still be possible to have dracut without cryptsetup.
Comment 5 Fedora Update System 2010-10-19 05:03:43 EDT
dracut-006-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 David Ward 2010-12-29 02:05:15 EST
This regressed in dracut-006-4.fc14.  See bug 665359.
Comment 7 Fedora Update System 2011-01-18 04:52:10 EST
dracut-006-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dracut-006-6.fc14
Comment 8 Fedora Update System 2011-01-21 18:07:14 EST
dracut-006-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.